<template>
  <div
    id="tf"
    ref="tf"
    :style="{
      lineHeight: '105%'
    }"
  ></div>
</template>

<script>
module.exports = {
  name: "text_field",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    currentDimensions: {
      type: Object,
      required: true
    },
    records: {
      type: Array,
      required: false
    },
    language: {
      type: String,
      required: true
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: false
    },
    fetchAsset: {
      type: Function,
      required: false
    }
  },
  watch: {
    currentSettings: function() {
      this.setContent();
    }
  },
  mounted: function() {
    this.setContent();
  },
  computed: {
    greeting: function() {
      return `${this.$translate.text("Hello")} ${
        this.$store.state.settings.personal_name.attributes.value
      }, \n${this.$translate.text("you look very handsome again!")}`;
    }
  },
  methods: {
    setContent: function() {
      if (this.currentSettings.content.length > 0) {
        this.$refs.tf.innerHTML = ""; // Clear previous content
        const parser = new DOMParser();
        const parsed = parser.parseFromString(
          `<div>${this.currentSettings.content}</div>`,
          "text/html"
        );
        this.$refs.tf.appendChild(parsed.body.children.item(0));
      } else {
        this.$refs.tf.innerHTML = this.greeting;
      }
    }
  },
  locales: {
    deDe: {
      Hello: "Hallo",
      "you look very handsome again!": "Du siehst wieder sehr gut aus!"
    },
    frFr: {
      Hello: "Bonjour",
      "you look very handsome again!": "tu es encore très beau!"
    },
    esEs: {
      Hello: "Hola",
      "you look very handsome again!": "Te ves muy guapo otra vez!"
    },
    plPl: {
      Hello: "dzień dobry",
      "you look very handsome again!": "znowu wyglądasz bardzo przystojnie!"
    },
    koKr: {
      Hello: "여보세요",
      "you look very handsome again!": "넌 아주 잘 생겼어!"
    }
  }
};
</script>
